#!/bin/bash
# Minihost Retro
# $1 = /home/username/Minihost
# $2 = folder to start searching in
# $3 = file to search for

if ! cd "$1"
then
    echo "Unable to switch to $1 directory"
    exit 1
fi

if [ -f "$1/filefind.zip" ];
then
    rm "$1/filefind.zip"
fi

/usr/bin/find "$2" -name "$3" -print | zip "$1"/filefind.zip -@
